/******************************************************************************* 
 * Obtained from:
 *    http://www.micahcarrick.com/01-01-2008/gtk-glade-tutorial-part-3.html#1
 *
 * Notes:
 *    The file "tutorial.xml" was created using
 *    gtk-builder-convert tutorial.glade tutorial.xml
 *
 * Compile with: 
 *    gcc -Wall -g -o tutorial main.c -export-dynamic `pkg-config --cflags --libs gtk+-2.0`
 * Or Compile with:
 *    make
 *
 * Run finished "tutorial" application with:
 *    ./tutorial
 ******************************************************************************/
#include <gtk/gtk.h>
 
void 
on_window_destroy (GtkObject *object, gpointer user_data)
{
        gtk_main_quit();
}
 
int
main (int argc, char *argv[])
{
        GtkBuilder              *builder;
        GtkWidget               *window;
        
        gtk_init (&argc, &argv);
        
        builder = gtk_builder_new ();
        gtk_builder_add_from_file (builder, "tutorial.xml", NULL);
 
        window = GTK_WIDGET (gtk_builder_get_object (builder, "window"));
        gtk_builder_connect_signals (builder, NULL);          
        g_object_unref (G_OBJECT (builder));
        
        gtk_widget_show (window);       
        gtk_main ();
        
        return 0;
}

